package org.mustard.statusnet;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

import android.os.Parcel;
import android.os.Parcelable;

public class DirectMessage implements Parcelable {
	
	public static final int K_IN  = 0;
	public static final int K_OUT = 1;
	
	private long id;
	private String text;
	private int inOut;
	private Date created_at;
	private long sender_id;
	private String sender_screenname;
	private String sender_image;
	private long recipient_id;
	private String recipient_screenname;
	private String recipient_image;
	
	private DateFormat df = new SimpleDateFormat("MM/dd/yyyy HH:mm:ss",Locale.US);
	
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public int getInOut() {
		return inOut;
	}
	public void setInOut(int inOut) {
		this.inOut = inOut;
	}
	public Date getCreated_at() {
		return created_at;
	}
	public void setCreated_at(Date createdAt) {
		created_at = createdAt;
	}
	public long getSender_id() {
		return sender_id;
	}
	public void setSender_id(long senderId) {
		sender_id = senderId;
	}
	public String getSender_screenname() {
		return sender_screenname;
	}
	public void setSender_screenname(String senderScreenname) {
		sender_screenname = senderScreenname;
	}
	public String getSender_image() {
		return sender_image;
	}
	public void setSender_image(String senderImage) {
		sender_image = senderImage;
	}
	public long getRecipient_id() {
		return recipient_id;
	}
	public void setRecipient_id(long recipientId) {
		recipient_id = recipientId;
	}
	public String getRecipient_screenname() {
		return recipient_screenname;
	}
	public void setRecipient_screenname(String recipientScreenname) {
		recipient_screenname = recipientScreenname;
	}
	public String getRecipient_image() {
		return recipient_image;
	}
	public void setRecipient_image(String recipientImage) {
		recipient_image = recipientImage;
	}
	public long getOtherId() {
		return inOut == K_IN ? sender_id : recipient_id;
	}
	public String getOtherScreenname() {
		return inOut == K_IN ? sender_screenname : recipient_screenname;
	}
	public String getOtherImage() {
		return inOut == K_IN ? sender_image : recipient_image;
	}
	
	public String toString() {
		return "Id: " + getId() + ", From: " + getSender_screenname() + ", To: " + getRecipient_screenname();
	}
	public int describeContents() {
		return 0;
	}
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeLong(id);
		dest.writeString(text);
		dest.writeInt(inOut);
		dest.writeString(df.format(created_at));
		dest.writeLong(sender_id);
		dest.writeString(sender_screenname);
		dest.writeString(sender_image);
		dest.writeLong(recipient_id);
		dest.writeString(recipient_screenname);
		dest.writeString(recipient_image);
	}
	public void readFromParcel(Parcel in) {
		id = in.readLong();
		text = in.readString();
		inOut = in.readInt();
		try {
			String sdate = in.readString();
			created_at = df.parse(sdate);
		} catch(ParseException e) {
			
		}
		sender_id = in.readLong();
		sender_screenname = in.readString();
		sender_image = in.readString();
		recipient_id = in.readLong();
		recipient_screenname = in.readString();
		recipient_image = in.readString();
				
		
	}
}
